Subject: [tcpm] [IANA #289079] unallocated TCP options in-use

From: "Amanda Baber via RT" <[email-masked]>
Date: Mon, 4 Jan 2010 18:55:55 +0000

Hi William,

We sent this response to your request on November 25th: 

This registry requires IESG Approval or Standards Action, so we
can't take any action yet. Let us know when your draft has been
posted, and we'll ask the IESG to review it and approve the
assignments.

Please note that we can't guarantee that these numbers won't be
assigned in the interim.

Amanda Baber
IANA

> Joe Touch wrote:
> > IANA also has requirements for assignments - for TCP options, they are
> > IESG approval or standards action.
> > 
> > Has either gone through either process? If not, then these too would be
> > unauthorized use.
> > 
> You asked about a 5th option, I'm merely pointing you to the current
> process (which wasn't covered in the 4 options given).
> 
> Since it is IANA's process, I'm assuming that when we fill out their
> form, they send the assignment along to IESG for pro forma approval.
> IANA is a collector of information, not an "authorizer" per se.
> 
> As to the latter, this thread is about non-working-group actions, thus
> not standards action (by definition).
> 
> If having been informed, IANA fails to handle the processing, then
> that's not my problem (nor Cisco's nor anybody else).  Does anybody know
> whether Cisco bothered to submit the assignment form?
> 
> I do remember MicroSoft, during their embrace and extend days, refused
> to even inform IANA or anybody about protocol numbers they were
> self-assigning.  That lead to conflicts.
> 
> My only interest is avoiding assignment conflicts.
> --
> Happy New Year
>

---

From: Lars Eggert <[email-masked]>
Date: Tue, 5 Jan 2010 18:20:14 +0200

[Resending; hasn't made it to the list yet. Probably due to the spamassassin issue that is hitting everyone right now.]

Hi,

On 2010-1-1, at 1:52, William Allen Simpson wrote:
> For some odd reason, my previous message was assigned a number, so I'm
> including it in the subject.

this is because you CC'ed the IANA ticket system at [email-masked] (which I have dropped from the CC).

On 2009-12-31, at 20:59, William Allen Simpson wrote:
> BTW, I'm using:
> 
> 31 (0x1f) TCP Cookie Transactions
> 32 (0x20) 64-bit Timestamps
> 
> Make a note of it.

> IANA is a collector of information, not an "authorizer" per se.

This is not the case. It is true that IANA is not an "authorizer", but that does not mean that TCP Option Numbers are assigned without authorization.

RFC2780 Section 9.3 is *very* clear that TCP Option Numbers are only assigned after a Standard Action (i.e., a standards-track RFC published through the IETF process) or IESG Approval. The latter is very unusual (i.e., by no means "pro forma") and the IESG will carefully evaluate any such request. See RFC2434 for details. There is no other way to register a TCP Option Number.

> not standards action (by definition).

It is not possible to register a TCP Option without a Standards Action or IESG Approval.

> that's not my problem (nor Cisco's nor anybody else).

That is incorrect. You seem to assume that TCP Option Numbers are assigned after the "First Come First Served" policy in RFC2434, which is not the case.

Lars